package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: IdentityBindSubmitReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:30
 */
@Data
public class Nft013IdentityBindSubmitResp implements Serializable {
    private static final Nft013IdentityBindSubmitResp obj = new Nft013IdentityBindSubmitResp();
    public static Nft013IdentityBindSubmitResp getNew() {
        try {
            return (Nft013IdentityBindSubmitResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft013IdentityBindSubmitResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
